<?php


//Heading Area
function ariana_heading_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(          
            'sec_title' => 'We are expert web agency',           
            'subheading' => 'Lorem ipsum dolor sit amet consectetur adipisicing elitsed eiusmod tempor enim minim veniam quis notru exercit ation Lorem ipsum dolor sit amet.Veniam quis notru exercit.',           
	
		), $atts )
    );
ob_start();

?>

	
	<div class="section-title wow zoomIn text-center">
		<?php if($sec_title){?>
			<h2><?php echo esc_html($sec_title);?></h2>		
		<span></span>
		<?php } if($subheading){?>
		<p><?php echo wp_kses($subheading, array('br' => array()), '');?></p>
		<?php }?>
	</div>
	
		
<?php 
  return ob_get_clean();
}
add_shortcode ('heading_area', 'ariana_heading_area' );


//Features
function ariana_service_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(          
            'ser_sec_title' => 'Service we provide',           
            'ser_subheading' => 'Lorem ipsum dolor sit amet consectetur adipisicing elitsed eiusmod tempor enim minim veniam quis notru exercit ation Lorem ipsum dolor sit amet.Veniam quis notru exercit.',           
	
		), $atts )
    );
ob_start();

?>

<!-- START ABOUT FEATURE CONTENT -->
<section id="service" class="feature section-padding">
	<div class="container">
		<div class="row text-center">
		
			<div class="section-title wow zoomIn">
				<?php if($ser_sec_title){?>
				<h2><?php echo esc_html($ser_sec_title);?></h2>
				<span></span>
				<?php } if($ser_subheading){ ?>
				<p><?php echo wp_kses($ser_subheading, array('br' => array()), '');?></p>
				<?php }?>
			</div>
			
			
			<?php echo do_shortcode($content);?>
			
		</div><!--- END ROW -->
	</div><!--- END CONTAINER -->
</section>
<!-- END ABOUT FEATURE CONTENT -->
		
<?php 
  return ob_get_clean();
}
add_shortcode ('service_area', 'ariana_service_area' );

//Single Service
function ariana_single_service( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(          
            'ser_icon' => 'fa-tablet',           
            'ser_title' => 'App development',           
            'ser_content' => 'Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor.',           
	
		), $atts )
    );
ob_start();

?>

	<div class="col-md-4 col-sm-4 col-xs-12">
		<div class="about_single wow fadeInLeft" data-wow-duration="1s" data-wow-delay="0.1s" data-wow-offset="0">
			<i class="fa <?php echo esc_attr($ser_icon);?>"></i>
			<h4><?php echo esc_html($ser_title);?></h4>
			<span></span>
			<p><?php echo esc_html($ser_content);?></p>
		</div>
	</div><!--- END COL -->
		
<?php 
  return ob_get_clean();
}
add_shortcode ('single_service', 'ariana_single_service' );

//Call To Action
function ariana_call_to_action( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                
            'sec_title' => 'Ready to get start with Ariana?',           
            'sec_btn_text' => 'Get started',           
            'sec_btn_link' => '#',           
	
		), $atts )
    );
ob_start();

?>

		<!-- PROMOTION -->
		<section class="buy_now">
			<div class="container text-center">
				<h3 class="buy_now_title"><?php echo esc_html($sec_title);?><a href="<?php echo esc_url($sec_btn_link);?>" class="btn btn-default btn-promotion-bg"><?php echo esc_html($sec_btn_text);?></a> </h3>
			</div><!--- END CONTAINER -->
		</section>
		<!-- END PROMOTION -->
		
<?php 
  return ob_get_clean();
}
add_shortcode ('call_to_action', 'ariana_call_to_action' );


//Portfolios
function ariana_portfolios_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(          
            'port_sec_title' => 'Our Great Works',           
            'port_subheading' => 'Lorem ipsum dolor sit amet consectetur adipisicing elitsed eiusmod tempor enim minim veniam quis notru exercit ation Lorem ipsum dolor sit amet.Veniam quis notru exercit.',           
			'port_number_post' => '6', 
			'port_more_port_link' => '#', 
		), $atts )
    );
ob_start();

?>

<!-- START PORTFOLIO -->
<section id="portfolio" class="portfolio section-padding">
	<div class="container-fluid">
		<div class="row">
			<div class="section-title text-center wow zoomIn">
				<?php if($port_sec_title){?>
				<h2><?php echo esc_html($port_sec_title);?></h2>
				<span></span>
				<?php } if($port_subheading){ ?>
				<p><?php echo wp_kses($port_subheading, array('br' => array()), '');?></p>
				<?php }?>
			</div>		

			<?php
					// WP_Query arguments
					$args = array (
						'post_type'              => array( 'portfolios' ),
						'posts_per_page'         => $port_number_post,
					);

					// The Query
					$ariana_port_query = new WP_Query( $args );

					// The Loop
					if ( $ariana_port_query->have_posts() ) {
						while ( $ariana_port_query->have_posts() ) {
							$ariana_port_query->the_post();
							$ariana_id = get_the_ID();
							$ariana_port_image = wp_get_attachment_image_src(get_post_thumbnail_id($ariana_id),'ariana_image_1200_800');

							?>
							
								<div class="col-md-4 col-sm-4 col-xs-12 no-padding">
									<div class="grid">
										<figure class="effect-sadie">
											<img src="<?php echo esc_url($ariana_port_image['0']);?>" alt=""/>
											<figcaption>
												<?php the_title('<h4>' , '</h4>');?>
												<p><a href="<?php the_permalink();?>"><?php esc_html_e('View Project' , 'ariana');?></a></p>
											</figcaption>			
										</figure>
									</div><!--- END GRID -->
								</div><!--- END COL -->				
						<?php	
							// do something
						}
					} else {
						// no posts found
					}

					// Restore original Post Data
					wp_reset_postdata();
			?>			

		</div><!--- END ROW -->	
		<div class="portfolio_btn text-center">
			<a href="<?php echo esc_url($port_more_port_link);?>" class="btn-pricing-bg"><?php esc_html_e('See More Work' , 'ariana');?></a>
		</div>				
	</div><!--- END CONTAINER-FLUID -->
</section>
<!-- END PORTFOLIO -->
		
<?php 
  return ob_get_clean();
}
add_shortcode ('portfolios_area', 'ariana_portfolios_area' );


//Testimonials
function ariana_testimonials_shorcode( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(          
            'test_title' => 'Client Testimonial',                  
            'test_subtitle' => 'Lorem ipsum dolor sit amet consectetur adipisicing elitsed eiusmod tempor enim minim veniam quis notru exercit ation Lorem ipsum dolor sit amet.Veniam quis notru exercit.',                  
			'bg_image' => '',                     
		), $atts )
    );
ob_start();
$test_bg_image = wp_get_attachment_image_src($bg_image,'');
?>

<!-- START TESTIMONIALS -->
<section id="testimonial" class="client-testimonial section-padding" style="background-image: url(<?php echo esc_url($test_bg_image[0]);?>);  background-size:cover; background-position: center center;background-attachment:fixed;">
	<div class="container">
		<div class="row text-center">
		
			<div class="section-title wow zoomIn">
				<?php if($test_title){?>
				<h2 class="section-title-white"><?php echo esc_html($test_title);?></h2>
				<span></span>
				<?php } if($test_subtitle){ ?>
				<p class="section-title-white"><?php echo wp_kses($test_subtitle, array('br' => array()), '');?></p>
				<?php }?>
			</div>		
			
			
			<div class="carousel slide" data-ride="carousel">
				<div class="carousel-inner">
				
					<?php
							// WP_Query arguments
							$args = array (
								'post_type'              => array( 'testimonials' ),
								'posts_per_page'         => -1,
							);

							// The Query
							$ariana_tesitmonial_query = new WP_Query( $args );

							// The Loop
							if ( $ariana_tesitmonial_query->have_posts() ) {
								while ( $ariana_tesitmonial_query->have_posts() ) {
									$ariana_tesitmonial_query->the_post(); 
									$ariana_id = get_the_ID();
									$ariana_test_image = wp_get_attachment_image_src(get_post_thumbnail_id($ariana_id),'ariana_image_200_200');
									$ariana_test_rating = get_post_meta(get_the_ID(), '_ariana_test_rating', true);
									?>
										<div class="item">
											<div class="col-md-8 col-md-offset-2 col-sm-12">
												<div class="single_testimonial">
													<div class="testimonial_img">
														<img src="<?php echo esc_url($ariana_test_image[0]);?>" alt="" />
													</div>
													<div class="testimonial_text">									
														<p><?php the_content();?></p>
														<h3 class="media-heading"><?php the_title();?></h3>
														
														<?php if($ariana_test_rating == 1){ ?>
														
															<i class="fa fa-star"></i>
															
														<?php }elseif($ariana_test_rating == 2){ ?>
														
															<i class="fa fa-star"></i>
															<i class="fa fa-star"></i>
															
														<?php }elseif($ariana_test_rating == 3){ ?>
														
															<i class="fa fa-star"></i>
															<i class="fa fa-star"></i>
															<i class="fa fa-star"></i>
								
														<?php }elseif($ariana_test_rating == 4){ ?>
														
															<i class="fa fa-star"></i>
															<i class="fa fa-star"></i>
															<i class="fa fa-star"></i>
															<i class="fa fa-star"></i>
									
														<?php }elseif($ariana_test_rating == 5){ ?>
														
															<i class="fa fa-star"></i>
															<i class="fa fa-star"></i>
															<i class="fa fa-star"></i>
															<i class="fa fa-star"></i>
															<i class="fa fa-star"></i>
									
														<?php } ?>
												
													</div>
												</div>
											</div><!--- END COL -->
										</div><!--- END ITEM -->
							<?php	}
							} else {
								// no posts found
							}

							// Restore original Post Data
							wp_reset_postdata();

					?>
				
				</div><!--- END CAROUSEL INNER -->
			</div><!--- END CAROUSEL SLIDE -->
		</div><!--- END ROW -->
	</div><!--- END CONTAINER -->	
</section>
<!-- END TESTIMONIALS -->
		

<?php 
  return ob_get_clean();
}
add_shortcode ('testimonials_shorcode', 'ariana_testimonials_shorcode' );

//Team Member
function ariana_team_member_shorcode( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(          
            'team_title' => 'Meet our experts',                  
            'team_subtitle' => 'Lorem ipsum dolor sit amet consectetur adipisicing elitsed eiusmod tempor enim minim veniam quis notru exercit ation Lorem ipsum dolor sit amet.Veniam quis notru exercit.',                                  
            'post_number' => '4',                                  
		), $atts )
    );
ob_start();

?>


<!-- START TEAM -->
<section id="team" class="our_team section-padding">
	<div class="container">
		<div class="row">
			<div class="section-title text-center wow zoomIn">
				<?php if($team_title){?>
				<h2><?php echo esc_html($team_title);?></h2>
				<span></span>
				<?php } if($team_subtitle){ ?>
				<p><?php echo wp_kses($team_subtitle, array('br' => array()), '');?></p>
				<?php }?>
			</div>	

			<?php
				// WP_Query arguments
				$args = array (
					'post_type'              => array( 'a_team' ),
					'posts_per_page'         => $post_number,
				);

				// The Query
				$ariana_team_query = new WP_Query( $args );

				// The Loop
				if ( $ariana_team_query->have_posts() ) {
					while ( $ariana_team_query->have_posts() ) {
						$ariana_team_query->the_post(); 
						
						$ariana_id = get_the_ID();
						$ariana_team_image = wp_get_attachment_image_src(get_post_thumbnail_id($ariana_id),'ariana_image_870_984');
						$ariana_team_designation = get_post_meta(get_the_ID(), '_ariana_team_designation', true);
						$ariana_team_group_field_opt = get_post_meta(get_the_ID(), '_ariana_team_group_field_opt', true);
						?>
							
						<div class="col-md-3 col-sm-6 col-xs-12">
							<div class="single_team portfolio_project">
								<figure>
									<div><img src="<?php echo esc_url($ariana_team_image[0]);?>" alt=""></div>
									<figcaption>
										<div class="team_social">
											<ul>
								<?php
									foreach ( (array) $ariana_team_group_field_opt as $key => $team_entry ) {

										$social_icon = $social_link  = '';

										if ( isset( $team_entry['_ariana_team_sm_icon'] ) )
											$social_icon = $team_entry['_ariana_team_sm_icon'] ;
										
										if ( isset( $team_entry['_ariana_team_sm_link'] ) )
											$social_link = $team_entry['_ariana_team_sm_link'];	

										?>
										
											<li><a href="<?php echo esc_url($social_link);?>"><i class="fa <?php echo esc_attr($social_icon);?>"></i></a></li>
									
									<?php } ?>												
												
						
											</ul>
										</div>
										<?php the_title('<h4>' , '</h4>');?>
										<p><?php echo esc_html($ariana_team_designation);?></p>
									</figcaption>
								</figure>
							</div>					
						</div><!--- END COL -->

				<?php	}
				} else {
					// no posts found
				}

				// Restore original Post Data
				wp_reset_postdata();

			?>
					
		</div><!-- END ROW -->
	</div><!-- END CONTAINER -->
</section>		
<!-- END TEAM -->			

<?php 
  return ob_get_clean();
}
add_shortcode ('team_member_shorcode', 'ariana_team_member_shorcode' );


//Partners Area
function ariana_partners_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(
			'part_title' => 'Our Partners',           
            'part_subtitle' => 'Lorem ipsum dolor sit amet consectetur adipisicing elitsed eiusmod tempor enim minim veniam quis notru exercit ation Lorem ipsum dolor sit amet.Veniam quis notru exercit.',                            
      		         
		), $atts )
    );	
          
ob_start();

?>

<!-- START COMPANY PARTNER LOGO  -->
<section class="partner-logo section-padding">
	<div class="container">
		<div class="row">
		
			<div class="section-title text-center">
				<?php if($part_title){?>
				<h2><?php echo esc_html($part_title);?></h2>
				<span></span>
				<?php } if($part_subtitle){ ?>
				<p><?php echo wp_kses($part_subtitle, array('br' => array()), '');?></p>
				<?php }?>
			</div>	
			
			
			<div class="col-md-12">
				<div class="partner  wow fadeInRight">
							
				<?php

				// WP_Query arguments
				$args = array (
					'post_type'              => array( 'clients' ),
					'posts_per_page'         => '-1',
				);

				// The Query
				$ariana_clinet_query = new WP_Query( $args );

				// The Loop
				if ( $ariana_clinet_query->have_posts() ) {
					while ( $ariana_clinet_query->have_posts() ) {
						$ariana_clinet_query->the_post(); 
						$ariana_id = get_the_ID();
						$ariana_client_image = wp_get_attachment_image_src(get_post_thumbnail_id($ariana_id),'ariana_image_210_100');						
						$ariana_clinet_link = get_post_meta(get_the_ID(), '_ariana_clinet_link', true);
						?>
						<a href="<?php echo esc_url($ariana_clinet_link);?>"><img src="<?php echo esc_url($ariana_client_image[0]);?>" alt=""></a>
				
				<?php	}
				} else {
					// no posts found
				}

				// Restore original Post Data
				wp_reset_postdata();

				?>			
				</div>
			</div><!-- END COL  -->
		</div><!--END  ROW  -->
	</div><!-- END CONTAINER  -->
</section>
<!-- END COMPANY PARTNER LOGO -->
<?php 
  return ob_get_clean();
}
add_shortcode ('ariana_partners', 'ariana_partners_area' );


//Google Map
function ariana_google_map( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(
            'g_height' => '500px',                                                   
            'g_api_key' => 'AIzaSyBuU_0_uLMnFM-2oWod_fzC0atPZj7dHlU',                                                   
            'g_lati' => '40.7127837',                                                   
            'g_longi' => '-74.00594130000002',                                                   
		), $atts )
    );
ob_start();

?>
	<div id="map" style="height: <?php echo esc_attr($g_height);?>"></div>	
	<!-- map js -->
	<script src="https://maps.googleapis.com/maps/api/js?key=<?php echo esc_js($g_api_key);?>"></script>		
	<script>
		/*START GOOGLE MAP*/
		function initialize() {
		  var mapOptions = {
			zoom: 15,
			scrollwheel: false,
			center: new google.maps.LatLng(<?php echo esc_js($g_lati);?>, <?php echo esc_js($g_longi);?>)
		  };
		  var map = new google.maps.Map(document.getElementById('map'),
			  mapOptions);
		  var marker = new google.maps.Marker({
			position: map.getCenter(),
			icon: '<?php echo esc_url(get_template_directory_uri());?>/assets/img/map_pin.png',
			map: map
		  });
		}
		google.maps.event.addDomListener(window, 'load', initialize);	
		/*END GOOGLE MAP*/	
	</script>
<?php 
  return ob_get_clean();
}
add_shortcode ('google_map', 'ariana_google_map' );

//Single Address
function ariana_single_address( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(
            'add_icon' => 'fa-phone',                                                                                                   
            'add_content' => '<p>(+1) 740-395-3829</p>
			<p>(+1) 740-395-3829</p>',                                                                                                   
		), $atts )
    );
ob_start();

?>
	<div class="single_address text-center">
		<i class="fa <?php echo esc_attr($add_icon);?>"></i>
		<?php echo wp_kses($add_content, array('p' => array(),'br' => array()), '');?>
	</div>
<?php 
  return ob_get_clean();
}
add_shortcode ('single_address', 'ariana_single_address' );


//Shortcode Importer
function ariana_shortcode_importer( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                                   
            'enter_shortcode' => '',                                                                              

		), $atts )
    );

	echo do_shortcode($enter_shortcode);
}
add_shortcode ('shortcode_importer', 'ariana_shortcode_importer' );